# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure(2) do |config|
  config.vm.box = "generic/ubuntu1804"

  config.vm.network 'forwarded_port', guest: 5000, host: 5000

  config.vm.synced_folder ".", "/home/vagrant"
  
  config.vm.provider 'virtualbox' do |vb|
    vb.memory = '1024'
  end

  config.vm.provision 'shell', privileged: false, inline: <<-SHELL
      sudo apt-get update
      sudo apt-get install -y python3
      sudo apt-get install -y python3-pip
    SHELL

end
